## org.flexdock.event
Class Event

    java.lang.Object
      java.util.EventObject
          org.flexdock.event.Event

All Implemented Interfaces:
  java.io.Serializable, DockingConstants

Direct Known Subclasses:
  DockbarEvent, DockingEvent, LayoutEvent, PerspectiveEvent, RegistrationEvent

    public class Event

extends java.util.EventObject
implements DockingConstants

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`Event(java.lang.Object src, int evtType)` An event object.

Method Summary
`int` `getEventType()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Event

    public Event(java.lang.Object src,
                 int evtType)

  An event object.

  Parameters:
    `src` - the source of the event.
    `evtType` - the type of the event.

Method Detail

### getEventType

    public int getEventType()